MGASA-2020-0454 - Updated x11vnc package fixes a security vulnerability

Publication date: 08 Dec 2020
URL: https://advisories.mageia.org/MGASA-2020-0454.html
Type: security
Affected Mageia releases: 7
CVE: CVE-2020-29074

scan.c in x11vnc 0.9.16 uses IPC_CREAT|0777 in shmget calls, which allows
access by actors other than the current user. (CVE-2020-29074)

References:
- https://bugs.mageia.org/show_bug.cgi?id=27684
- https://www.debian.org/security/2020/dsa-4799
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-29074

SRPMS:
- 7/core/x11vnc-0.9.16-1.1.mga7